<?php
namespace Pinpoint\Conesso\Block\Adminhtml\Form\Field;

use Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray;

/**
 * Class CustomAttributes
 */
class CustomAttributes extends AbstractFieldArray
{

    /**
     * Prepare rendering the new field by adding all the needed columns
     */
    protected function _prepareToRender()
    {
        $this->addColumn('product_attributes', ['label' => __('Product Attr'), 'class' => 'required-entry']);
        $this->addColumn('connesso_attributes', ['label' => __('Connesso Attr'), 'class' => 'required-entry']);
        $this->addColumn('custom_attributes', ['label' => __('Attributes'), 'class' => 'required-entry']);
        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add');
    }
}
