<?php
namespace Pinpoint\Conesso\Observer\Product;

use Magento\Framework\Event\Observer;
use Magento\Framework\Event\ObserverInterface;
use Pinpoint\Conesso\Api\Data\ProductSyncInterface;
use Pinpoint\Conesso\Model\Api\Management\Products\LogProductInterface;


class ProductDeleteAfter implements ObserverInterface
{
    private $logProduct;
    public function __construct(
        LogProductInterface $logProduct
    ) {
        $this->logProduct = $logProduct;
    }

    public function execute(Observer $observer)
    {
        try {
            $product = $observer->getEvent()->getProduct();
            $this->logProduct->logProduct($product,ProductSyncInterface::EVENT_TYPE_DELETE);
        } catch (\Exception $e) {

        }
    }
}
