<?php
namespace Pinpoint\Conesso\Model\Api\Transfer;

use Pinpoint\Conesso\Api\Transfer\RequestInterface;
use Pinpoint\Conesso\Api\Transfer\RequestProviderInterface;
use Magento\Framework\ObjectManagerInterface;

class RequestProvider implements RequestProviderInterface
{
    private $objectManager;
    public function __construct(
        ObjectManagerInterface $objectManager
    ) {
        $this->objectManager = $objectManager;
    }
    public function getRequestProvider($type) : RequestInterface
    {
        return $this->objectManager->create($type);
    }
}
